# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "frust-feed"
version = "0.1.0"
authors = ["Sébastien LUNDI <slundi@ikmail.com>"]
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CLI RSS aggregator"
readme = "README.md"
keywords = [
    "cli",
    "rss",
    "atom",
    "feed",
    "aggregator",
]
categories = [
    "command-line-utilities",
    "data-structures",
]
license = "MIT OR Apache-2.0"
repository = "https://codeberg.org/slundi/frust"

[[bin]]
name = "frust-feed"
path = "src/main.rs"

[dependencies.chrono]
version = "0.4"

[dependencies.epub-builder]
version = "0.8"

[dependencies.feed-rs]
version = "2.3"
features = ["sanitize"]

[dependencies.futures]
version = "0.3"

[dependencies.htmd]
version = "0.5"

[dependencies.linked-hash-map]
version = "0.5"

[dependencies.lz4_flex]
version = "0.13"

[dependencies.mediatype]
version = "0.19"

[dependencies.pulldown-cmark]
version = "0.13"

[dependencies.quick-xml]
version = "0.37"
features = ["serialize"]

[dependencies.redb]
version = "3.1"

[dependencies.regex]
version = "1"

[dependencies.reqwest]
version = "0.13"

[dependencies.rkyv]
version = "0.8"
features = ["bytecheck"]

[dependencies.scraper]
version = "0.25"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.slug]
version = "0.1"

[dependencies.thiserror]
version = "2.0"

[dependencies.tokio]
version = "1.52"
features = ["full"]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"

[dependencies.twox-hash]
version = "2.1"

[dependencies.url]
version = "2.5"

[dependencies.yaml-rust]
version = "0.4"

[dev-dependencies.tempfile]
version = "3"
